#ifndef RACINE_UNITE_HPP
#define RACINE_UNITE_HPP

#include <cmath>
#include <iostream>

#include "complexe.hpp"

class racineUnite {
    private :
        int m_k;
        int m_n;
    public:
        racineUnite();
        racineUnite(int k, int n);
        racineUnite(const racineUnite & z);
        ~racineUnite();
        int getk();
        int getn();
        void setk(int);
        void setn(int);
        complexe calculeComplexe();
        racineUnite operator *(racineUnite z);
        racineUnite & operator =(const racineUnite & z);
        friend ostream & operator <<(ostream & out, const racineUnite & z);
        int testu_1();
        int testu_2();
        int testu_3();
        int all_testsu();
};

#endif
